org.apache.poi.hemf.record.emf

## Interface HemfRecord

- All Superinterfaces:
    GenericRecord
  All Known Implementing Classes:
    HemfComment.EmfComment, HemfDraw.EmfArc, HemfDraw.EmfArcTo, HemfDraw.EmfChord, HemfDraw.EmfEllipse, HemfDraw.EmfFillPath, HemfDraw.EmfLineTo, HemfDraw.EmfPie, HemfDraw.EmfPolyBezier, HemfDraw.EmfPolyBezier16, HemfDraw.EmfPolyBezierTo, HemfDraw.EmfPolyBezierTo16, HemfDraw.EmfPolyDraw, HemfDraw.EmfPolyDraw16, HemfDraw.EmfPolygon, HemfDraw.EmfPolygon16, HemfDraw.EmfPolyline, HemfDraw.EmfPolyline16, HemfDraw.EmfPolylineTo, HemfDraw.EmfPolylineTo16, HemfDraw.EmfPolyPolygon, HemfDraw.EmfPolyPolygon16, HemfDraw.EmfPolyPolyline, HemfDraw.EmfPolyPolyline16, HemfDraw.EmfRectangle, HemfDraw.EmfRoundRect, HemfDraw.EmfSelectObject, HemfDraw.EmfSetMoveToEx, HemfDraw.EmfSetPixelV, HemfDraw.EmfStrokeAndFillPath, HemfDraw.EmfStrokePath, HemfFill.EmfAlphaBlend, HemfFill.EmfBitBlt, HemfFill.EmfExtFloodFill, HemfFill.EmfExtSelectClipRgn, HemfFill.EmfFillRgn, HemfFill.EmfFrameRgn, HemfFill.EmfInvertRgn, HemfFill.EmfPaintRgn, HemfFill.EmfSetDiBitsToDevice, HemfFill.EmfSetPolyfillMode, HemfFill.EmfStretchBlt, HemfFill.EmfStretchDiBits, HemfHeader, HemfMisc.EmfCreateBrushIndirect, HemfMisc.EmfCreateDibPatternBrushPt, HemfMisc.EmfCreateMonoBrush, HemfMisc.EmfCreatePen, HemfMisc.EmfDeleteObject, HemfMisc.EmfEof, HemfMisc.EmfExtCreatePen, HemfMisc.EmfModifyWorldTransform, HemfMisc.EmfRestoreDc, HemfMisc.EmfSetBkColor, HemfMisc.EmfSetBkMode, HemfMisc.EmfSetBrushOrgEx, HemfMisc.EmfSetMapMode, HemfMisc.EmfSetMapperFlags, HemfMisc.EmfSetMiterLimit, HemfMisc.EmfSetRop2, HemfMisc.EmfSetStretchBltMode, HemfMisc.EmfSetWorldTransform, HemfPalette.EmfCreatePalette, HemfPalette.EmfRealizePalette, HemfPalette.EmfResizePalette, HemfPalette.EmfSelectPalette, HemfPalette.EmfSetIcmMode, HemfPalette.EmfSetPaletteEntries, HemfText.EmfExtCreateFontIndirectW, HemfText.EmfExtTextOutA, HemfText.EmfExtTextOutW, HemfText.EmfSetTextAlign, HemfText.EmfSetTextColor, HemfWindowing.EmfScaleViewportExtEx, HemfWindowing.EmfScaleWindowExtEx, HemfWindowing.EmfSelectClipPath, HemfWindowing.EmfSetExcludeClipRect, HemfWindowing.EmfSetIntersectClipRect, HemfWindowing.EmfSetOffsetClipRgn, HemfWindowing.EmfSetViewportExtEx, HemfWindowing.EmfSetViewportOrgEx, HemfWindowing.EmfSetWindowExtEx, HemfWindowing.EmfSetWindowOrgEx

      @Internal
      public interface HemfRecord
      extends GenericRecord

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `draw(HemfGraphics ctx)` Draws the record, the default redirects to the parent WMF record drawing
    `HemfRecordType` | `getEmfRecordType()`
    `default java.lang.Enum` | `getGenericRecordType()`
    `long` | `init(LittleEndianInputStream leis, long recordSize, long recordId)` Init record from stream
    `default void` | `setHeader(HemfHeader header)` Sets the header reference, in case the record needs to refer to it

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren, getGenericProperties`

- - ### Method Detail

    - #### getEmfRecordType

          HemfRecordType getEmfRecordType()

    - #### init

          long init(LittleEndianInputStream leis,
                    long recordSize,
                    long recordId)
             throws java.io.IOException

      Init record from stream
      Parameters:
        `leis` - the little endian input stream
        `recordSize` - the size limit for this record
        `recordId` - the id of the `HemfRecordType`
      Returns:
        count of processed bytes
      Throws:
        `java.io.IOException` - when the inputstream is malformed

    - #### draw

          default void draw(HemfGraphics ctx)

      Draws the record, the default redirects to the parent WMF record drawing
      Parameters:
        `ctx` - the drawing context

    - #### setHeader

          default void setHeader(HemfHeader header)

      Sets the header reference, in case the record needs to refer to it
      Parameters:
        `header` - the emf header

    - #### getGenericRecordType

          default java.lang.Enum getGenericRecordType()

      Specified by:
        `getGenericRecordType` in interface `GenericRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.